from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XConnectableShape(XInterface, Protocol):
    def canConnect(self, nPos: Point, bCreateGluePoint: bool, nMaxDist: int) -> bool: ...
    def doConnect(self, nPos: Point, bCreateGluePoint: bool, nMaxDist: int) -> bool: ...
